﻿final class Evaluation {
	// ...
	// Calcula o valor do material.
	private int evaluateMaterial(int color, Position position) {
	    assert Color.isValid(color);
	    assert position != null;

	    int material = position.material[color];

	    // Adiciona um bonus se possuir um par de bispos.
	    if (position.pieces[color][PieceType.BISHOP].size() >= 2) {
	      material += 50;
	    }

	    return material;
	}

	// ...
}
