﻿// Utiliza a biblioteca jcpi.
import com.fluxchess.jcpi.AbstractEngine;
import com.fluxchess.jcpi.commands.*;
import com.fluxchess.jcpi.models.GenericBoard;
import com.fluxchess.jcpi.models.GenericColor;
import com.fluxchess.jcpi.models.GenericMove;
import com.fluxchess.jcpi.protocols.IProtocolHandler;

//...

final class Pulse extends AbstractEngine implements Protocol {
  // ...

  // Manipula vários comandos com auxílio de estruturas da classe JCPI.
  public void receive(EngineInitializeRequestCommand command) {
    //...
  }

  // Define algumas opções.
  public void receive(EngineSetOptionCommand command) {
    //...
  }

  // Comando para debug.
  public void receive(EngineDebugCommand command) {
    //...
  }

  // Pergunta se o motor está pronto para começar os cálculos.
  public void receive(EngineReadyRequestCommand command) {
    //...
  }

  // Descarta todos os resultados e reinicia.
  public void receive(EngineNewGameCommand command) {
    //...
  }

  // Inicia a análise da configuração.
  public void receive(EngineAnalyzeCommand command) {
    //...
  }

  // Inicia o cálculo ou busca de um movimento.
  public void receive(EngineStartCalculatingCommand command) {
    //...
  }

  // Interrompe o cálculo atual.
  public void receive(EngineStopCalculatingCommand command) {
    //...
  }

  // Envia o melhor movimento encontrado.
  public void sendBestMove(int bestMove, int ponderMove) {
    //...
  }

  // Envia o estado da busca.
  public void sendStatus(boolean force, int currentDepth, int currentMaxDepth, long totalNodes,
  int currentMove, int currentMoveNumber) {
    //...
  }

  // Envia um movimento.
  public void sendMove(RootEntry entry, int currentDepth, int currentMaxDepth, long totalNodes) {
    //...
  }

  //...
}
