﻿final class Bitboard {
	//...

	// Transforma uma casa de um bitboard
	// para uma casa de um tabuleiro 0x88.
	private static int toX88Square(int square) {
		assert square >= 0 && square < Long.SIZE;
		return ((square & ~7) << 1) | (square & 7);
	}

	// Transforma uma casa de um tabuleiro 0x88
	// para uma casa de um bitboard.
	private static int toBitSquare(int square) {
		assert Square.isValid(square);
		return ((square & ~7) >>> 1) | (square & 7);
	}

	//...
}
