﻿final class Bitboard {
	// ...

	// Adiciona uma casa.
	void add(int square) {
	  assert Square.isValid(square);
	  assert (squares & (1L << toBitSquare(square))) == 0;

	  squares |= 1L << toBitSquare(square);
	}

	// Remove uma casa.
	void remove(int square) {
	  assert Square.isValid(square);
	  assert (squares & (1L << toBitSquare(square))) != 0;

	  squares &= ~(1L << toBitSquare(square));
	}

	// ...
}
